import request from '@/utils/request'

// 查询站点产品分类管理列表
export function listProductCategory(query) {
  return request({
    url: '/system/productCategory/list',
    method: 'get',
    params: query
  })
}

// 查询站点产品分类管理详细
export function getProductCategory(id) {
  return request({
    url: '/system/productCategory/' + id,
    method: 'get'
  })
}

// 新增站点产品分类管理
export function addProductCategory(data) {
  return request({
    url: '/system/productCategory',
    method: 'post',
    data: data
  })
}

// 修改站点产品分类管理
export function updateProductCategory(data) {
  return request({
    url: '/system/productCategory',
    method: 'put',
    data: data
  })
}

// 删除站点产品分类管理
export function delProductCategory(id) {
  return request({
    url: '/system/productCategory/' + id,
    method: 'delete'
  })
}
